<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetControlVariableList Method (IEdmCardControl7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardControl7 Interface : GetControlVariableList Method (IEdmCardControl7)

Visual Basic
C#
C++/CLI

lDocumentID
  ID of the file

ppVariableItemsList
  Array of list values; empty if the card control is not associated with a list (see Remarks)

Gets the list values associated with this drop-down list card control.

# Syntax

Visual Basic |
--- | ---

    Function GetControlVariableList( _
       ByVal lDocumentID As System.Integer, _
       ByRef ppVariableItemsList() As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetControlVariableList(
       System.int lDocumentID,
       out System.string[] ppVariableItemsList
    )

C++/CLI |
--- | ---

    System.bool GetControlVariableList(
    &   System.int lDocumentID,
    &   [Out] System.array<String^>^ ppVariableItemsList
    )

#### Parameters

lDocumentID
  ID of the file
ppVariableItemsList
  Array of list values; empty if the card control is not associated with a list (see Remarks)

#### Return Value

True if retrieving the list is successful, false if not

# Example

See the IEdmCardControl7 examples.

# Remarks

This method is valid only if IEdmCardControl5::ControlType is set to EdmCardControlType:

- EdmCtrl_ComboboxDropdown
- EdmCtrl_ComboboxDroplist
- EdmCtrl_ComboboxSimple
- EdmCtrl_Listbox

This method supports the following items that appear in the Admin tool > Card Editor when you double-click on a droplist, dropdown, or listbox card control:

- Free text
- Controlled by variable
- Special value > User list or Group list

This method does not support add-in lists.

# See Also

####

IEdmCardControl7 Interface
IEdmCardControl7 Members

# Availability

SOLIDWORKS PDM Professional 2018